# Uses of Interface
javax.lang.model.type.WildcardType

Packages that use WildcardType
Package
Description
javax.lang.model.type
Interfaces used to model Java programming language types.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

- ## Uses of WildcardType in javax.lang.model.type

  Methods in javax.lang.model.type with parameters of type WildcardType
  Modifier and Type
  Method
  Description
  `R`
  TypeVisitor.`visitWildcard(WildcardType t, P p)`
  Visits a wildcard type.

- ## Uses of WildcardType in javax.lang.model.util

  Methods in javax.lang.model.util that return WildcardType
  Modifier and Type
  Method
  Description
  `WildcardType`
  Types.`getWildcardType(TypeMirror extendsBound, TypeMirror superBound)`
  Returns a new wildcard type.
  Methods in javax.lang.model.util with parameters of type WildcardType
  Modifier and Type
  Method
  Description
  `R`
  SimpleTypeVisitor6.`visitWildcard(WildcardType t, P p)`
  Visits a wildcard type.